# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IMetaLogger

Packages that use IMetaLogger
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl

## Uses of IMetaLogger in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api with parameters of type IMetaLogger
Modifier and Type
Method
Description
`void`
DesignEngine.`registerMetaLogger(IMetaLogger newLogger)`
Registers a `IMetaLogger` to record initialization errors.
`void`
IDesignEngine.`registerMetaLogger(IMetaLogger newLogger)`
Registers a `IMetaLogger` to record initialization errors.
`boolean`
DesignEngine.`removeMetaLogger(IMetaLogger logger)`
Removes a `IMetaLogger`.
`boolean`
IDesignEngine.`removeMetaLogger(IMetaLogger logger)`
Removes a `IMetaLogger`.

## Uses of IMetaLogger in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type IMetaLogger
Modifier and Type
Method
Description
`void`
DesignEngineImpl.`registerMetaLogger(IMetaLogger newLogger)`
Registers a `IMetaLogger` to record initialization errors.
`boolean`
DesignEngineImpl.`removeMetaLogger(IMetaLogger logger)`
Removes a `IMetaLogger`.